> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tilt.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Asset Classes

> List asset classes in the organization



## OpenAPI

````yaml GET /api/v1/custom/org/{organization_uuid}/asset_classes/
openapi: 3.0.3
info:
  title: TILT
  version: 0.0.1
servers: []
security: []
paths:
  /api/v1/custom/org/{organization_uuid}/asset_classes/:
    get:
      tags:
        - api
      description: List asset classes in the organization
      operationId: api_v1_custom_org_asset_classes_list
      parameters:
        - in: path
          name: organization_uuid
          schema:
            type: string
            format: uuid
          required: true
        - name: page
          required: false
          in: query
          description: A page number within the paginated result set.
          schema:
            type: integer
        - name: page_size
          required: false
          in: query
          description: Number of results to return per page.
          schema:
            type: integer
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedAssetClassReadList'
          description: ''
      security:
        - ProAPIToken: []
components:
  schemas:
    PaginatedAssetClassReadList:
      type: object
      required:
        - count
        - results
      properties:
        count:
          type: integer
          example: 123
        next:
          type: string
          nullable: true
          format: uri
          example: http://api.example.org/accounts/?page=4
        previous:
          type: string
          nullable: true
          format: uri
          example: http://api.example.org/accounts/?page=2
        results:
          type: array
          items:
            $ref: '#/components/schemas/AssetClassRead'
    AssetClassRead:
      type: object
      description: Serializer for reading AssetClass data.
      properties:
        uuid:
          type: string
          format: uuid
          readOnly: true
        name:
          type: string
          maxLength: 255
        description:
          type: string
        benchmark_index_name:
          type: string
          nullable: true
          readOnly: true
        benchmark_index_identifier:
          type: string
          nullable: true
          readOnly: true
        index_name:
          type: string
          nullable: true
          readOnly: true
        index_uuid:
          type: string
          format: uuid
          readOnly: true
          nullable: true
        tilt_name:
          type: string
          nullable: true
          readOnly: true
        tilt_uuid:
          type: string
          format: uuid
          readOnly: true
          nullable: true
        single_security_tilt_asset_id:
          type: string
          nullable: true
          readOnly: true
        single_security_symbol:
          type: string
          nullable: true
          readOnly: true
        alternative_etf_tilt_asset_ids:
          type: array
          items:
            type: string
          description: Return list of alternative ETF tilt_asset_ids.
          readOnly: true
        created:
          type: string
          format: date-time
          readOnly: true
        modified:
          type: string
          format: date-time
          readOnly: true
      required:
        - alternative_etf_tilt_asset_ids
        - benchmark_index_identifier
        - benchmark_index_name
        - created
        - description
        - index_name
        - index_uuid
        - modified
        - name
        - single_security_symbol
        - single_security_tilt_asset_id
        - tilt_name
        - tilt_uuid
        - uuid
  securitySchemes:
    ProAPIToken:
      type: apiKey
      in: header
      name: X-Api-Key

````